Package org.openapitools.client.api
Class HistoryCleanupApi
- java.lang.Object
-
- org.openapitools.client.api.HistoryCleanupApi
-
public class HistoryCleanupApi extends Object
-
-
Constructor Summary
Constructors Constructor Description HistoryCleanupApi()HistoryCleanupApi(ApiClient apiClient)
-
Method Summary
All Methods Instance Methods Concrete Methods Deprecated Methods Modifier and Type Method Description JobDtocleanupAsync(Boolean immediatelyDue)Clean up history (POST) Schedules asynchronous history cleanup (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)).okhttp3.CallcleanupAsyncAsync(Boolean immediatelyDue, ApiCallback<JobDto> _callback)Clean up history (POST) (asynchronously) Schedules asynchronous history cleanup (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)).okhttp3.CallcleanupAsyncCall(Boolean immediatelyDue, ApiCallback _callback)Build call for cleanupAsyncApiResponse<JobDto>cleanupAsyncWithHttpInfo(Boolean immediatelyDue)Clean up history (POST) Schedules asynchronous history cleanup (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)).JobDtofindCleanupJob()Deprecated.okhttp3.CallfindCleanupJobAsync(ApiCallback<JobDto> _callback)Deprecated.okhttp3.CallfindCleanupJobCall(ApiCallback _callback)Deprecated.List<JobDto>findCleanupJobs()Find clean up history jobs (GET) Finds history cleanup jobs (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)).okhttp3.CallfindCleanupJobsAsync(ApiCallback<List<JobDto>> _callback)Find clean up history jobs (GET) (asynchronously) Finds history cleanup jobs (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)).okhttp3.CallfindCleanupJobsCall(ApiCallback _callback)Build call for findCleanupJobsApiResponse<List<JobDto>>findCleanupJobsWithHttpInfo()Find clean up history jobs (GET) Finds history cleanup jobs (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)).ApiResponse<JobDto>findCleanupJobWithHttpInfo()Deprecated.ApiClientgetApiClient()HistoryCleanupConfigurationDtogetHistoryCleanupConfiguration()Get History Cleanup Configuration Retrieves history cleanup batch window configuration (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)).okhttp3.CallgetHistoryCleanupConfigurationAsync(ApiCallback<HistoryCleanupConfigurationDto> _callback)Get History Cleanup Configuration (asynchronously) Retrieves history cleanup batch window configuration (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)).okhttp3.CallgetHistoryCleanupConfigurationCall(ApiCallback _callback)Build call for getHistoryCleanupConfigurationApiResponse<HistoryCleanupConfigurationDto>getHistoryCleanupConfigurationWithHttpInfo()Get History Cleanup Configuration Retrieves history cleanup batch window configuration (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)).voidsetApiClient(ApiClient apiClient)
-
-
-
Constructor Detail
-
HistoryCleanupApi
public HistoryCleanupApi()
-
HistoryCleanupApi
public HistoryCleanupApi(ApiClient apiClient)
-
-
Method Detail
-
getApiClient
public ApiClient getApiClient()
-
setApiClient
public void setApiClient(ApiClient apiClient)
-
cleanupAsyncCall
public okhttp3.Call cleanupAsyncCall(Boolean immediatelyDue, ApiCallback _callback) throws ApiException
Build call for cleanupAsync- Parameters:
immediatelyDue- When true the job will be scheduled for nearest future. When `false`, the job will be scheduled for next batch window start time. Default is `true`. (optional)_callback- Callback for upload/download progress- Returns:
- Call to execute
- Throws:
ApiException- If fail to serialize the request body object
-
cleanupAsync
public JobDto cleanupAsync(Boolean immediatelyDue) throws ApiException
Clean up history (POST) Schedules asynchronous history cleanup (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)). **Note:** This endpoint will return at most a single history cleanup job. Since version `7.9.0` it is possible to configure multiple [parallel history cleanup jobs](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#parallel-execution). Use [`GET /history/cleanup/jobs`](https://docs.camunda.org/manual/7.18/reference/rest/history/history-cleanup/get-history-cleanup-jobs) to find all the available history cleanup jobs.- Parameters:
immediatelyDue- When true the job will be scheduled for nearest future. When `false`, the job will be scheduled for next batch window start time. Default is `true`. (optional)- Returns:
- JobDto
- Throws:
ApiException- If fail to call the API, e.g. server error or cannot deserialize the response body
-
cleanupAsyncWithHttpInfo
public ApiResponse<JobDto> cleanupAsyncWithHttpInfo(Boolean immediatelyDue) throws ApiException
Clean up history (POST) Schedules asynchronous history cleanup (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)). **Note:** This endpoint will return at most a single history cleanup job. Since version `7.9.0` it is possible to configure multiple [parallel history cleanup jobs](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#parallel-execution). Use [`GET /history/cleanup/jobs`](https://docs.camunda.org/manual/7.18/reference/rest/history/history-cleanup/get-history-cleanup-jobs) to find all the available history cleanup jobs.- Parameters:
immediatelyDue- When true the job will be scheduled for nearest future. When `false`, the job will be scheduled for next batch window start time. Default is `true`. (optional)- Returns:
- ApiResponse<JobDto>
- Throws:
ApiException- If fail to call the API, e.g. server error or cannot deserialize the response body
-
cleanupAsyncAsync
public okhttp3.Call cleanupAsyncAsync(Boolean immediatelyDue, ApiCallback<JobDto> _callback) throws ApiException
Clean up history (POST) (asynchronously) Schedules asynchronous history cleanup (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)). **Note:** This endpoint will return at most a single history cleanup job. Since version `7.9.0` it is possible to configure multiple [parallel history cleanup jobs](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#parallel-execution). Use [`GET /history/cleanup/jobs`](https://docs.camunda.org/manual/7.18/reference/rest/history/history-cleanup/get-history-cleanup-jobs) to find all the available history cleanup jobs.- Parameters:
immediatelyDue- When true the job will be scheduled for nearest future. When `false`, the job will be scheduled for next batch window start time. Default is `true`. (optional)_callback- The callback to be executed when the API call finishes- Returns:
- The request call
- Throws:
ApiException- If fail to process the API call, e.g. serializing the request body object
-
findCleanupJobCall
@Deprecated public okhttp3.Call findCleanupJobCall(ApiCallback _callback) throws ApiException
Deprecated.Build call for findCleanupJob- Parameters:
_callback- Callback for upload/download progress- Returns:
- Call to execute
- Throws:
ApiException- If fail to serialize the request body object
-
findCleanupJob
@Deprecated public JobDto findCleanupJob() throws ApiException
Deprecated.Find clean up history job (GET) **Deprecated!** Use `GET /history/cleanup/jobs` instead. Finds history cleanup job (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)).- Returns:
- JobDto
- Throws:
ApiException- If fail to call the API, e.g. server error or cannot deserialize the response body
-
findCleanupJobWithHttpInfo
@Deprecated public ApiResponse<JobDto> findCleanupJobWithHttpInfo() throws ApiException
Deprecated.Find clean up history job (GET) **Deprecated!** Use `GET /history/cleanup/jobs` instead. Finds history cleanup job (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)).- Returns:
- ApiResponse<JobDto>
- Throws:
ApiException- If fail to call the API, e.g. server error or cannot deserialize the response body
-
findCleanupJobAsync
@Deprecated public okhttp3.Call findCleanupJobAsync(ApiCallback<JobDto> _callback) throws ApiException
Deprecated.Find clean up history job (GET) (asynchronously) **Deprecated!** Use `GET /history/cleanup/jobs` instead. Finds history cleanup job (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)).- Parameters:
_callback- The callback to be executed when the API call finishes- Returns:
- The request call
- Throws:
ApiException- If fail to process the API call, e.g. serializing the request body object
-
findCleanupJobsCall
public okhttp3.Call findCleanupJobsCall(ApiCallback _callback) throws ApiException
Build call for findCleanupJobs- Parameters:
_callback- Callback for upload/download progress- Returns:
- Call to execute
- Throws:
ApiException- If fail to serialize the request body object
-
findCleanupJobs
public List<JobDto> findCleanupJobs() throws ApiException
Find clean up history jobs (GET) Finds history cleanup jobs (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)).- Returns:
- List<JobDto>
- Throws:
ApiException- If fail to call the API, e.g. server error or cannot deserialize the response body
-
findCleanupJobsWithHttpInfo
public ApiResponse<List<JobDto>> findCleanupJobsWithHttpInfo() throws ApiException
Find clean up history jobs (GET) Finds history cleanup jobs (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)).- Returns:
- ApiResponse<List<JobDto>>
- Throws:
ApiException- If fail to call the API, e.g. server error or cannot deserialize the response body
-
findCleanupJobsAsync
public okhttp3.Call findCleanupJobsAsync(ApiCallback<List<JobDto>> _callback) throws ApiException
Find clean up history jobs (GET) (asynchronously) Finds history cleanup jobs (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)).- Parameters:
_callback- The callback to be executed when the API call finishes- Returns:
- The request call
- Throws:
ApiException- If fail to process the API call, e.g. serializing the request body object
-
getHistoryCleanupConfigurationCall
public okhttp3.Call getHistoryCleanupConfigurationCall(ApiCallback _callback) throws ApiException
Build call for getHistoryCleanupConfiguration- Parameters:
_callback- Callback for upload/download progress- Returns:
- Call to execute
- Throws:
ApiException- If fail to serialize the request body object
-
getHistoryCleanupConfiguration
public HistoryCleanupConfigurationDto getHistoryCleanupConfiguration() throws ApiException
Get History Cleanup Configuration Retrieves history cleanup batch window configuration (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)).- Returns:
- HistoryCleanupConfigurationDto
- Throws:
ApiException- If fail to call the API, e.g. server error or cannot deserialize the response body
-
getHistoryCleanupConfigurationWithHttpInfo
public ApiResponse<HistoryCleanupConfigurationDto> getHistoryCleanupConfigurationWithHttpInfo() throws ApiException
Get History Cleanup Configuration Retrieves history cleanup batch window configuration (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)).- Returns:
- ApiResponse<HistoryCleanupConfigurationDto>
- Throws:
ApiException- If fail to call the API, e.g. server error or cannot deserialize the response body
-
getHistoryCleanupConfigurationAsync
public okhttp3.Call getHistoryCleanupConfigurationAsync(ApiCallback<HistoryCleanupConfigurationDto> _callback) throws ApiException
Get History Cleanup Configuration (asynchronously) Retrieves history cleanup batch window configuration (See [History cleanup](https://docs.camunda.org/manual/7.18/user-guide/process-engine/history/#history-cleanup)).- Parameters:
_callback- The callback to be executed when the API call finishes- Returns:
- The request call
- Throws:
ApiException- If fail to process the API call, e.g. serializing the request body object
-
-